From: "ondrej@debian.org" <ondrej@debian.org>
Date: Sat, 10 Dec 2022 12:46:16 +0100
Subject: Use --cflags instead of --variable=includedir from pkg-config

---
 config.m4 | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

diff --git a/config.m4 b/config.m4
index 133d27e..2058724 100644
--- a/config.m4
+++ b/config.m4
@@ -5,32 +5,30 @@ if test "$PHP_FACEDETECT" != "no"; then
   AC_PATH_PROG(PKG_CONFIG, pkg-config, no)
   AC_MSG_CHECKING(for opencv)
   if test -x "$PKG_CONFIG" && $PKG_CONFIG --exists opencv; then
-    CV_INCLUDE=`$PKG_CONFIG opencv --variable=includedir_new`
-    CV_LIBRARY=`$PKG_CONFIG opencv --libs`
+    CV_CFLAGS=`$PKG_CONFIG opencv --cflags`
+    CV_LIBS=`$PKG_CONFIG opencv --libs`
     CV_VERSION=`$PKG_CONFIG opencv --modversion`
     if $PKG_CONFIG opencv --atleast-version=3.0.0 ; then
       AC_MSG_RESULT($CV_VERSION)
     else
       AC_MSG_ERROR(opencv version is too old.)
     fi
-    PHP_EVAL_LIBLINE($CV_LIBRARY, FACEDETECT_SHARED_LIBADD)
-    PHP_ADD_INCLUDE($CV_INCLUDE)
   else
     if test -x "$PKG_CONFIG" && $PKG_CONFIG --exists opencv4; then
-      CV_INCLUDE=`$PKG_CONFIG opencv4 --variable=includedir`
-      CV_LIBRARY=`$PKG_CONFIG opencv4 --libs`
+      CV_CFLAGS=`$PKG_CONFIG opencv4 --cflags`
+      CV_LIBS=`$PKG_CONFIG opencv4 --libs`
       CV_VERSION=`$PKG_CONFIG opencv4 --modversion`
       if $PKG_CONFIG opencv4 --atleast-version=3.0.0 ; then
         AC_MSG_RESULT($CV_VERSION)
       else
         AC_MSG_ERROR(opencv version is too old)
       fi
-      PHP_EVAL_LIBLINE($CV_LIBRARY, FACEDETECT_SHARED_LIBADD)
-      PHP_ADD_INCLUDE($CV_INCLUDE)
     else
       AC_MSG_ERROR(Please reinstall opencv)
     fi
   fi
+  PHP_EVAL_INCLINE($CV_CFLAGS)
+  PHP_EVAL_LIBLINE($CV_LIBS, FACEDETECT_SHARED_LIBADD)
 
   PHP_SUBST(FACEDETECT_SHARED_LIBADD)
   AC_DEFINE(HAVE_FACEDETECT, 1, [ ])
